- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigpanda – Notify BigPanda about deployments

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Notify BigPanda when deployments start and end (successfully or not). Returns a deployment object containing all the parameters for future module calls.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
component - / required |  | The name of the component being deployed. Ex: billing aliases: name
description - |  | Free text description of the deployment.
env - |  | The environment name, typically 'production', 'staging', etc.
hosts - | Default: "machine\u0027s hostname" | Name of affected host name. Can be a list. aliases: host
owner - |  | The person responsible for the deployment.
state - / required | Choices: started finished failed | State of the deployment.
token - / required |  | API token.
url - | Default: "https://api.bigpanda.io" | Base URL of the API server.
validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates for the target url will not be validated. This should only be used on personally controlled sites using self-signed certificates.
version - / required |  | The deployment version.

## Examples

    - bigpanda:
        component: myapp
        version: '1.3'
        token: '{{ bigpanda_token }}'
        state: started

    - bigpanda:
        component: myapp
        version: '1.3'
        token: '{{ bigpanda_token }}'
        state: finished

    # If outside servers aren't reachable from your machine, use delegate_to and override hosts:
    - bigpanda:
        component: myapp
        version: '1.3'
        token: '{{ bigpanda_token }}'
        hosts: '{{ ansible_hostname }}'
        state: started
      delegate_to: localhost
      register: deployment

    - bigpanda:
        component: '{{ deployment.component }}'
        version: '{{ deployment.version }}'
        token: '{{ deployment.token }}'
        state: finished
      delegate_to: localhost

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Hagai Kariti (@hkariti)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.